As of February 2014 TrenStar EAM will only be supported on Internet Explorer Version 8 and above.